Class | Amalgalite::Packer
In: | lib/amalgalite/packer.rb lib/amalgalite/packer.rb
Parent: | Object

Pack items into an amalgalite database.

### Methods

amalgalite_require_order amalgalite_require_order check_db check_db create_table_sql create_table_sql default_options default_options full_path_of full_path_of gunzip gunzip gzip gzip make_manifest make_manifest new new pack pack pack_files pack_files

### Attributes

dbfile | [R] |
dbfile | [R] |
options | [R] |
options | [R] |
packing_list | [R] |
packing_list | [R] |

### Public Class methods

amalgalite_require_order()

return the files in their dependency order for use for packing into a database

amalgalite_require_order()

return the files in their dependency order for use for packing into a database

default_options()
default_options()
gunzip( data )

uncompress gzip data

gunzip( data )

uncompress gzip data

gzip( data )

compress data

gzip( data )

compress data

new( options = {} )

Create a new packer instance with the list of items to pack and all the options

new( options = {} )

Create a new packer instance with the list of items to pack and all the options

### Public Instance methods

check_db( db )

Make sure that the dbfile exists and has the appropriate schema.

check_db( db )

Make sure that the dbfile exists and has the appropriate schema.

create_table_sql()

The SQL to create the table for storing ruby code

create_table_sql()

The SQL to create the table for storing ruby code

full_path_of( rb_file )

given a file, see if it can be found in the ruby load path, if so, return that full path

full_path_of( rb_file )

given a file, see if it can be found in the ruby load path, if so, return that full path

make_manifest( file_list )

Make the manifest for packing

make_manifest( file_list )

Make the manifest for packing

pack( file_list )

Given a list of files pack them into the associated database and table.

pack( file_list )

Given a list of files pack them into the associated database and table.

pack_files( manifest )

Stores all the .rb files in the list into the given database. The prefix is the file system path to remove from the front of the path on each file

manifest is an array of OpenStructs.

pack_files( manifest )

Stores all the .rb files in the list into the given database. The prefix is the file system path to remove from the front of the path on each file

manifest is an array of OpenStructs.

[Validate]